Zikula Nachrichten

RSS Feed

Zikula Core 1.3.7 (Security Release)

Am 17. Februar 2014 wurde der Zikula Core in Version 1.3.7 veröffentlicht. Dies ist sowohl ein Security Release für die 1.3.x Serie des Cores als auch ein Bugfix Release. Alle Benutzer von Zikula 1.3.0 - 1.3.6 sollten das Update so schnell wie möglich einspielen.

Zusätzlich zu der Sicherheitskorrektur kombiniert dieses Release alle "Patches", die in letzter Zeit in der Community die Runde gemacht haben und bestimmte Defizite in den Versionen 1.3.5/1.3.6 ausbügeln. Bitte jetzt auf dieses offizielle Paket aktualisieren und nicht mehr Code von nicht-offiziellen Quellen einsetzen.

Installation/Upgrade: (von Core 1.3.6) Zunächst ein Backup von Dateien und Datenbanken machen, bevor das Update angegangen wird. Danach einfach die Dateien der aktuellen Installation mit den neuen Dateien überschreiben, die DB-Zugangsdaten zur Datei config.php hinzufügen und die Datei upgrade.php aufrufen.

Download:
ZIP-Paket
TGZ-Paket
Checksummen

Dieses Release adressiert Secunia Advisory SA56274.

Ein komplettes Changelog ist verfügbar.



 

Themen


Kommentare

  • Geschrieben am
  • 18. Feb 2014 - 19:05

would be great if someone could update the orange button in the upper right of the page to reflect the most recent release.

  • Geschrieben am
  • 19. Feb 2014 - 18:58

Done! icon_biggrin

  • Geschrieben am
  • 02. Apr 2014 - 15:35
Versionsdurcheinander?

Und die hier an verschiedenen Stellen angekündigten und diskutierten Neuerungen für "1.3.6." verschieben sich dann nicht auf 1.3.7 sondern auf 1.3.8. oder auf 1.4.0.? Oder kann ich Module die ab 1.3.6. auf Github bereitstehen sollten z.B. Dizkus 4.0.0. bzw. 4.0.1. verwenden?

  • Geschrieben am
  • 04. Apr 2014 - 11:33
Neuerungen in neuer Versionsreihe

Die Neuerungen, die vormals für 1.3.7 angekündigt waren, kommen nun mit 1.4.0., wenn ich mich nicht irre. Dizkus 4.0.0 ist ausdrücklich nur für Zikula 1.4.0 oder höher geeignet. icon_wink

Siehe: https://github.…s/DizkusModule

  • Geschrieben am
  • 04. Apr 2014 - 15:34
Änderungen in github erforderlich?

Danke zunächst, aber so sicher hört sich das noch nicht an. Soll ich dazu besser eine Diskussion aufmachen? In der Readme zu Dizkus steht zwar 1.4.0. In der Überschrift steht aber

Quote

Official repository for Dizkus, a fully integrated forum solution for Zikula 1.3+

und weiter unter dem Milestone 4.0.0 befindet sich folgende Angabe

Quote

First Dizkus version for Zikula 1.3.6+ and 1.4.0

Bin nach wie vor etwas verwirrt... haeh

  • Geschrieben am
  • 04. Apr 2014 - 15:59

Dizkus only works with Core 1.4.0+

Nur angemeldete Benutzer dürfen kommentieren. Registrierung oder Anmeldung.